Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.Delete Method
SecondaryCursor Class See Also Send Feedback

Delete the key/data pair to which the cursor refers from the primary database and all secondary indices.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void Delete()

Visual Basic (Declaration)
    Public Sub Delete

Visual C++
    public:
    void Delete()

# Remarks

The cursor position is unchanged after a delete, and subsequent calls to cursor functions expecting the cursor to refer to an existing key will fail.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.KeyEmptyException | The element has already been deleted.

# See Also

SecondaryCursor Class
BerkeleyDB Namespace